## qtbase-opensource-src-gles 5.3.0+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu5) 14.09; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.0+dfsg-2ubuntu9

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 03 Oct 2014 08:11:32 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu4) 14.09; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.0+dfsg-2ubuntu7 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 24 Sep 2014 13:37:16 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu3) utopic; urgency=medium

  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Jun 2014 05:27:17 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu2) utopic; urgency=medium

  * Correct the abi to 5-3-0
  * Sync symbols from qtbase-opensource-src 5.3.0+dfsg-2ubuntu3 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 18 Jun 2014 08:50:07 +0000

qtbase-opensource-src-gles (5.3.0+dfsg-1ubuntu1) utopic; urgency=medium

  * New upstream release
  * Remove patches merged upstream:
    - debian/patches/0001-Do-not-overwrite-basePixmap-of-QIconLoader-PixmapEnt.patch
    - debian/patches/Add_better_support_for_keymap_update_handling.patch
    - debian/patches/Fix-access-after-delete-with-Harfbuzz-NG-code-path.patch
    - debian/patches/Fix-log_clusters-calculation-in-HarfBuzz-NG-code-pat.patch
    - debian/patches/HarfBuzz-NG-Hide-characters-that-should-normally-be-.patch
    - debian/patches/Minor-optimization-for-QTextEngine-shapeText.patch
    - debian/patches/Use-None-instead-of-GLX_NONE.patch
    - debian/patches/When-looking-up-the-window-hierarchy-stop-at-foreign.patch
    - debian/patches/change_sparc_qatomic.patch
    - debian/patches/enable_s390_detection.patch
    - debian/patches/fix_power_atomic_code.patch
    - debian/patches/make_qkdetheme_constructor_public.diff
    - debian/patches/platformtheme_env.diff
    - debian/patches/qdoc-Fix-crash-in-Generator-generateInnerNode.patch
  * Build with GStreamer 1.0
  * debian/patches/revert_upstream_bsymbolic_change.patch:
    - Revert upstream change since we have fixed binutils
  * Move include files to multi-arch dir following Debian's lead
  * debian/patches/enable-tests.patch:
    - Refresh the patch to apply
    - Skip a handful of tests that fail, will need to be re-enabled later
  * Sync with Debian, keeping the existing delta where applicable
  * Reverse the test enabling logic and support nocheck option
  * debian/patches/Add-virtual-function-to-QFontEngine-report-if-outlin.patch
    debian/patches/Fix-FT-glyph-outline-to-path-conversion.patch
    Fix_crash_in_QOpenGLTextureallocateStorage.patch:
    - Backport three patches from stable branch
  * For -gles variant:
    - Update enable-tests.patch
    - Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 06 Jun 2014 12:26:16 +0000

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu16) utopic; urgency=medium

  * debian/control: removing libqt5gui5 from build-dep, not needed

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 06 May 2014 22:34:54 -0300

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu15) utopic; urgency=medium

  [ Ricardo Salveti de Araujo ]
  * Sync packaging with qtbase-opensource-src 5.2.1+dfsg-1ubuntu15

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix issues with keymap update handling
    (Add_better_support_for_keymap_update_handling.patch, copied from
    Debian and rebased).
  * Build-depend on libxkbcommon-x11-dev, as the new patch includes
    <xkbcommon/xkbcommon-x11.h>.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 30 Apr 2014 00:53:10 -0700

qtbase-opensource-src-gles (5.2.1+dfsg-1ubuntu14) trusty; urgency=medium

  * Repackging for building gles variants on i386 and amd64.
    - Based on qtbase-opensource-src 5.2.1+dfsg-1ubuntu14

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 17 Apr 2014 00:37:30 -0300
