## qtbase-opensource-src-gles 5.4.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-1ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 15:16:25 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu4) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 Feb 2015 18:25:42 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu3) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 Feb 2015 10:00:27 +0000

qtbase-opensource-src-gles (5.4.0+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.0+dfsg-4ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:09:05 +0000

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu3) vivid; urgency=medium

  * control: Drop build-dependency on libopenvg1-mesa-dev which is gone.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 13 Feb 2015 13:23:50 +0200

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu2) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.2+dfsg-4ubuntu8 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 21 Nov 2014 05:44:51 +0000

qtbase-opensource-src-gles (5.3.2+dfsg-0ubuntu1) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.3.2+dfsg-4ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 29 Oct 2014 05:57:28 +0000
