=== debian/control ===
--- 
+++ 
@@ -17,14 +17,13 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
-               libgstreamer-plugins-base1.0-dev,
-               libgstreamer1.0-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
+               libinput-dev [linux-any],
                libjpeg-dev,
+               libmtdev-dev [linux-any],
                libmysqlclient-dev,
-               libopenvg1-mesa-dev [amd64 armel armhf i386 powerpc kfreebsd-any],
                libpng-dev,
                libpq-dev,
                libpulse-dev,
@@ -45,6 +44,7 @@
                libxcb-xfixes0-dev,
                libxcb-xkb-dev,
                libxcb1-dev,
+               libxext-dev,
                libxi-dev,
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
@@ -53,10 +53,10 @@
                unixodbc-dev,
                xvfb,
                zlib1g-dev,
-               libqt5core5a (>= 5.3.0),
-               libqt5dbus5 (>= 5.3.0),
-               libqt5widgets5 (>= 5.3.0)
-Standards-Version: 3.9.5
+               libqt5core5a (>= 5.4.0),
+               libqt5dbus5 (>= 5.4.0),
+               libqt5widgets5 (>= 5.4.0)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 
 Package: libqt5gui5-gles
@@ -106,12 +106,15 @@
          libqt5test5 (>= 5.3.0),
          libqt5widgets5 (>= 5.3.0),
          libqt5xml5 (>= 5.3.0),
+         libxext-dev,
          qt5-qmake-gles (= ${binary:Version}),
          qtbase5-dev-tools (>= 5.3.0),
          qtchooser,
          ${misc:Depends}
 Recommends: libqt5opengl5-gles-dev (= ${binary:Version})
-Suggests: libmysqlclient-dev,
+Suggests: libegl1-mesa-dev,
+          libgl1-mesa-dev,
+          libmysqlclient-dev,
           libpq-dev,
           libsqlite3-dev,
           unixodbc-dev
@@ -121,6 +124,9 @@
  .
  This package contains the header development files used for building Qt 5
  applications (built with the OpenGLES backend).
+ .
+ If you are interested in packaging Qt 5 stuff please take a look at
+ http://pkg-kde.alioth.debian.org/packagingqtstuff.html
 
 Package: qtbase5-private-gles-dev
 Architecture: i386 amd64
