## qtbase-opensource-src-gles 5.4.2+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu9) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu9

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 16 Oct 2015 10:09:47 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu8) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu8

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 07 Oct 2015 14:02:51 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu6) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 29 Sep 2015 07:24:20 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-2ubuntu5) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 24 Sep 2015 07:38:45 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu4) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 06 Aug 2015 06:07:33 +0000

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu2) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-2ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 Jul 2015 11:46:38 +0300

qtbase-opensource-src-gles (5.4.2+dfsg-0ubuntu1) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.2+dfsg-1ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 04:59:47 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu7) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 03 Jun 2015 16:07:04 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu6) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 May 2015 14:34:04 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu5) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-4ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 May 2015 07:48:05 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu4) wily; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-3ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 18 May 2015 07:37:41 +0000

qtbase-opensource-src-gles (5.4.1+dfsg-0ubuntu3) vivid; urgency=medium

  * Sync with qtbase-opensource-src - 5.4.1+dfsg-1ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 16 Apr 2015 06:18:36 +0000
