=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                freetds-dev,
-               gdb [!ppc64el],
+               gdb,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
                libcups2-dev,
@@ -24,6 +24,7 @@
                libjpeg-dev,
                libmtdev-dev [linux-any],
                libmysqlclient-dev,
+               libpcre3-dev,
                libpng-dev,
                libpq-dev,
                libpulse-dev,
@@ -49,7 +50,7 @@
                libxkbcommon-dev,
                libxkbcommon-x11-dev,
                libxrender-dev,
-               pkg-kde-tools (>= 0.14.2),
+               pkg-kde-tools (>= 0.15.17),
                unixodbc-dev,
                xvfb,
                zlib1g-dev,
