=== debian/rules ===
--- 
+++ 
@@ -69,11 +69,17 @@
 	$(error Unknown qmake mkspec for $(DEB_HOST_ARCH_OS))
 endif
 
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+	NUMJOBS = 1
+endif
+
 %:
 	dh $@ --parallel --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
-	./configure -confirm-license \
+	MAKEFLAGS="-j$(NUMJOBS)" ./configure -confirm-license \
 	            -prefix "/usr" \
 	            -bindir "/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin" \
 	            -libdir "/usr/lib/$(DEB_HOST_MULTIARCH)" \
@@ -195,7 +201,10 @@
 	| cut -d ':' -f 1 | grep -v tests/auto | xargs rm -f
 
 	# Generated on build
-	rm -f debian/stamp-makefile-build-tools
+	rm -vf debian/stamp-makefile-build-tools
+
+	# more leftovers
+	rm -f .device.vars .qmake.vars
 
 ifeq ($(vendor),Ubuntu)
 	rm -rf po
@@ -225,8 +234,3 @@
 endif
 
 	# Fix wrong path in pkgconfig files
-	find $(CURDIR)/debian/tmp/usr/lib/*/pkgconfig -type f -name '*.pc' \
-		-exec perl -pi -e "s, -L$(CURDIR)/?\S+,,g" {} \;
-
-	# Add a configuration for qtchooser
-	mkdir -p $(CURDIR)/debian/tmp/usr/share/qtchooser
