## qtbase-opensource-src-gles 5.5.1+dfsg

=== debian/changelog ===
qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu6) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu6

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Apr 2016 10:54:40 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu4) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu4

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 30 Mar 2016 07:32:09 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-16ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-16ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 07 Mar 2016 09:19:40 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-15ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-15ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 04 Mar 2016 10:05:22 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu3) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 02 Mar 2016 12:03:12 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu2) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 26 Feb 2016 08:07:11 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-14ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-14ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 17 Feb 2016 09:56:09 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu3) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu3

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 16 Feb 2016 08:52:41 +0200

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu2) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Feb 2016 08:20:27 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-13ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-13ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 05 Feb 2016 09:32:32 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-10ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-10ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Jan 2016 10:03:38 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-6ubuntu5) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-6ubuntu5

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 21 Dec 2015 16:29:54 +0000

qtbase-opensource-src-gles (5.5.1+dfsg-6ubuntu1) xenial; urgency=medium

  * Sync with qtbase-opensource-src - 5.5.1+dfsg-6ubuntu1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 01 Dec 2015 09:31:07 +0000
