=== debian/control ===
--- 
+++ 
@@ -17,6 +17,8 @@
                libgles2-mesa-dev [linux-any] | libgles2-dev [linux-any],
                libglib2.0-dev,
                libglu1-mesa-dev | libglu-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
                libgtk2.0-dev,
                libharfbuzz-dev,
                libicu-dev,
@@ -27,6 +29,7 @@
                libpcre3-dev,
                libpng-dev,
                libpq-dev,
+               libproxy-dev,
                libpulse-dev,
                libsqlite3-dev,
                libssl-dev,
@@ -51,13 +54,14 @@
                libxkbcommon-x11-dev,
                libxrender-dev,
                pkg-kde-tools (>= 0.15.17),
+               publicsuffix,
                unixodbc-dev,
                xvfb,
                zlib1g-dev,
                libqt5core5a (>= 5.4.0),
                libqt5dbus5 (>= 5.4.0),
                libqt5widgets5 (>= 5.4.0)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://qt-project.org/
 
 Package: libqt5gui5-gles
@@ -66,6 +70,12 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
+Recommends: libqt5svg5
+Suggests: libqt5libqgtk2
+Breaks: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+        libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
+Replaces: libqt5egldeviceintegration5 (<< 5.5.1+dfsg-13~),
+          libqt5xcbqpa5 (<< 5.5.1+dfsg-13~)
 Description: Qt 5 GUI module - OpenGLES
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -136,7 +146,10 @@
 Provides: qtbase5-private-dev
 Multi-Arch: same
 Section: libdevel
-Depends: qtbase5-gles-dev (= ${binary:Version}), ${misc:Depends}
+Depends: libinput-dev [linux-any],
+         libxkbcommon-dev,
+         qtbase5-gles-dev (= ${binary:Version}),
+         ${misc:Depends}
 Description: Qt 5 base private development files - OpenGLES
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
