=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 pkgs_with_os = $(patsubst debian/%.install-$(DEB_HOST_ARCH_OS),%,$(wildcard debian/*.install-$(DEB_HOST_ARCH_OS)))
 
 
-ifneq (,$(filter %-sql-ibase,$(shell dh_listpackages)))
+ifneq (,$(filter libqt5sql5-ibase,$(shell dh_listpackages)))
 	extra_configure_opts += -plugin-sql-ibase
 else
 	extra_configure_opts += -no-sql-ibase
@@ -121,6 +121,7 @@
 	            -accessibility \
 	            -no-directfb \
 	            -opengl es2 \
+	            -gstreamer 1.0 \
 	            $(extra_configure_opts) \
 	            $(cpu_opt)
 
@@ -216,6 +217,17 @@
 	cd $(CURDIR)/src; ../bin/qmake; make sub-qdoc
 	dh_auto_build -Smakefile -- html_docs
 
+override_dh_auto_build-arch:
+	# Bootstrap corelibs in order to be able to build the helper tools to
+	# regenerate some upstream-provided files.
+	cd $(CURDIR)/src; ../bin/qmake; make sub-corelib
+	# Add here the code to generate the helpers and then the headers.
+	LC_ALL=C.UTF-8 sh debian/generateTLDs.sh
+	# Clean up the compiled code and start again.
+	cd $(CURDIR)/src; make distclean
+	make clean
+	dh_auto_build
+
 override_dh_auto_install-arch:
 	dh_auto_install -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp/
 
@@ -224,13 +236,3 @@
 	# Create the destination directory.
 	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
 
-	# corelib needs make clean first to be able to rebuild.
-	cd $(CURDIR)/src/corelib; make clean ; ../../bin/qmake -config sse2; make
-	cp -av lib/libQt5Core.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
-
-	# gui on turn doesn't needs it, and actually fails if done.
-	cd $(CURDIR)/src/gui; ../../bin/qmake -config sse2; make
-	cp -av lib/libQt5Gui.so.* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/sse2/
-endif
-
-	# Fix wrong path in pkgconfig files
