=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://download.qt.io/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtbase-opensource-src-([^-]*)\.tar.xz
